'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _button = require('antd/lib/button');

var _button2 = _interopRequireDefault(_button);

var _Pagination2 = require('qm-ux/lib/Pagination');

var _Pagination3 = _interopRequireDefault(_Pagination2);

var _Table2 = require('qm-ux/lib/Table');

var _Table3 = _interopRequireDefault(_Table2);

var _input = require('antd/lib/input');

var _input2 = _interopRequireDefault(_input);

var _QMDataView2 = require('qm-ux/lib/QMDataView');

var _QMDataView3 = _interopRequireDefault(_QMDataView2);

var _SearchForm2 = require('qm-ux/lib/SearchForm');

var _SearchForm3 = _interopRequireDefault(_SearchForm2);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp;

var _iflux = require('iflux2');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Item = _SearchForm3.default.Item;

/**
 * 管理员列表
 * @author gcy[of1518]
 */

var AdminEmployee = function AdminEmployee() {
  return _react2.default.createElement(
    _QMDataView3.default,
    { ref: 'hash', netHost: 'v_app_api', netUrl: 'api/admin/' },
    _react2.default.createElement(Container, { close: undefined.props.close })
  );
};
exports.default = AdminEmployee;

var Container = (0, _iflux.Relax)(_class = (_temp = _class2 = function (_React$PureComponent) {
  _inherits(Container, _React$PureComponent);

  function Container() {
    _classCallCheck(this, Container);

    return _possibleConstructorReturn(this, (Container.__proto__ || Object.getPrototypeOf(Container)).apply(this, arguments));
  }

  _createClass(Container, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          cellSelected = _props.cellSelected,
          close = _props.close,
          type = _props.type;

      return _react2.default.createElement(
        'div',
        {
          style: {
            paddingTop: 15,
            minHeight: 300,
            padding: 20,
            height: 500
          } },
        _react2.default.createElement(
          _SearchForm3.default,
          null,
          _react2.default.createElement(
            Item,
            { index: 'q', group: 'advance' },
            _react2.default.createElement(_input2.default, { placeholder: '\u8BF7\u8F93\u5165\u59D3\u540D/\u624B\u673A\u53F7' })
          )
        ),
        _react2.default.createElement(_Table3.default, {
          rowSelection: { type: type },
          cellKey: 'employeeId',
          rowKey: 'employeeId',
          columns: [{
            title: '姓名',
            dataIndex: 'realName',
            width: 100,
            className: 'ant-table-th-center'
          }, {
            title: '手机号',
            dataIndex: 'cellphone',
            width: 100,
            className: 'ant-table-th-center'
          }, {
            title: '角色',
            dataIndex: 'roles',
            width: 100,
            className: 'ant-table-th-center'
          }],
          scroll: { y: 270 }
        }),
        _react2.default.createElement(_Pagination3.default, { pageSize: 10 }),
        _react2.default.createElement(
          'div',
          { className: 'modal-footer-main' },
          _react2.default.createElement(
            _button2.default,
            { size: 'large', onClick: close },
            '\u53D6\u6D88'
          ),
          _react2.default.createElement(
            _button2.default,
            { size: 'large', type: 'primary', onClick: function onClick() {
                return _this2.toAdmin(cellSelected);
              } },
            '\u901A\u77E5\u7BA1\u7406\u5458'
          )
        )
      );
    }
  }]);

  return Container;
}(_react2.default.PureComponent), _class2.defaultProps = {
  cellSelected: {},
  type: 'checkbox' // 多选/单选，checkbox or radio
}, _temp)) || _class;