'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _progress = require('antd/lib/progress');

var _progress2 = _interopRequireDefault(_progress);

require('./index.less');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 
 * @param {*} param0 
 */
var DataListDaily = function DataListDaily(_ref) {
  var _ref$title = _ref.title,
      title = _ref$title === undefined ? '' : _ref$title,
      _ref$right = _ref.right,
      right = _ref$right === undefined ? { url: '', title: '' } : _ref$right,
      _ref$data = _ref.data,
      data = _ref$data === undefined ? [] : _ref$data;
  return _react2.default.createElement(
    'div',
    { className: 'yesterday-data' },
    _react2.default.createElement(
      'div',
      { className: 'data-header' },
      _react2.default.createElement(
        'div',
        { className: 'data-title' },
        title
      ),
      _react2.default.createElement(
        _reactRouterDom.Link,
        { className: 'data-more', to: right.url, 'data-gh-name': '\u6628\u65E5\u6570\u636E-\u66F4\u591A\u6570\u636E' },
        right.title,
        '>>'
      )
    ),
    _react2.default.createElement(
      'div',
      { className: 'data-main' },
      data.map(function (x) {
        return _react2.default.createElement(
          'div',
          { style: { width: (100 / data.length).toFixed(2) + '%' }, className: 'col-item' },
          _react2.default.createElement(
            'div',
            { style: { width: x.chart ? '50%' : '100%' }, className: 'statistics-item' },
            _react2.default.createElement(
              'strong',
              null,
              (x.type == 'money' ? '￥' : '') + x.data + (x.type == 'percent' ? '%' : '')
            ),
            _react2.default.createElement(
              'p',
              null,
              x.title
            )
          ),
          x.chart && _react2.default.createElement(
            'div',
            { className: 'item-chart', style: { width: '50%' } },
            _react2.default.createElement(_progress2.default, {
              type: 'circle',
              percent: x.data,
              width: 60,
              strokeWidth: 20,
              showInfo: false
            })
          )
        );
      }) || null
    )
  );
};
exports.default = DataListDaily;