'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _dec2, _dec3, _dec4, _desc, _value, _class;

var _iflux = require('iflux2');

var _immutable = require('immutable');

var _qmArray = require('../../util/qm-array');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

var CategoryActor = (_dec = (0, _iflux.Action)('initCategory'), _dec2 = (0, _iflux.Action)('initLeaves'), _dec3 = (0, _iflux.Action)('cate:expand'), _dec4 = (0, _iflux.Action)('cate:select'), (_class = function (_Actor) {
  _inherits(CategoryActor, _Actor);

  function CategoryActor() {
    _classCallCheck(this, CategoryActor);

    return _possibleConstructorReturn(this, (CategoryActor.__proto__ || Object.getPrototypeOf(CategoryActor)).apply(this, arguments));
  }

  _createClass(CategoryActor, [{
    key: 'defaultState',
    value: function defaultState() {
      return {
        categories: [],
        expanded: [],
        selected: [],
        expandParent: true
      };
    }
  }, {
    key: 'initCategory',
    value: function initCategory(state, value) {
      value = value.toJS ? value : (0, _immutable.fromJS)(value);
      return state.set('categories', value).set('expanded', value.map(function (i) {
        return String(i.get('id'));
      }));
    }
  }, {
    key: 'initLeaves',
    value: function initLeaves(state, value) {
      value = value.toJS ? value : (0, _immutable.fromJS)(value);
      return state.set('leaves', value);
    }
  }, {
    key: 'expand',
    value: function expand(state, expanded) {
      if ((0, _qmArray.isArray)(expanded)) {
        return state.set('expanded', (0, _immutable.fromJS)(expanded)).set('expandParent', false);
      } else {
        var leaves = state.get('leaves').toArray();
        if (!(0, _qmArray.contain)(leaves, expanded)) {
          return state.update('expanded', function (expandeds) {
            return expandeds.concat((0, _immutable.fromJS)([expanded]));
          }).set('expandParent', true);
        }
        return state;
      }
    }
  }, {
    key: 'select',
    value: function select(state, selected) {
      return state.set('selected', (0, _immutable.fromJS)(selected));
    }
  }]);

  return CategoryActor;
}(_iflux.Actor), (_applyDecoratedDescriptor(_class.prototype, 'initCategory', [_dec], Object.getOwnPropertyDescriptor(_class.prototype, 'initCategory'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'initLeaves', [_dec2], Object.getOwnPropertyDescriptor(_class.prototype, 'initLeaves'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'expand', [_dec3], Object.getOwnPropertyDescriptor(_class.prototype, 'expand'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'select', [_dec4], Object.getOwnPropertyDescriptor(_class.prototype, 'select'), _class.prototype)), _class));
exports.default = CategoryActor;