'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _dec2, _dec3, _dec4, _dec5, _dec6, _dec7, _dec8, _dec9, _dec10, _desc, _value, _class;

var _iflux = require('iflux2');

var _immutable = require('immutable');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

var UploadActor = (_dec = (0, _iflux.Action)('upload:switch'), _dec2 = (0, _iflux.Action)('upload:addNetImage'), _dec3 = (0, _iflux.Action)('upload:removeNetImage'), _dec4 = (0, _iflux.Action)('upload:addImage'), _dec5 = (0, _iflux.Action)('upload:removeImage'), _dec6 = (0, _iflux.Action)('upload:addVideo'), _dec7 = (0, _iflux.Action)('upload:removeVideo'), _dec8 = (0, _iflux.Action)('upload:uploading'), _dec9 = (0, _iflux.Action)('upload:clearAll'), _dec10 = (0, _iflux.Action)('upload:setLinkAddress'), (_class = function (_Actor) {
  _inherits(UploadActor, _Actor);

  function UploadActor() {
    _classCallCheck(this, UploadActor);

    return _possibleConstructorReturn(this, (UploadActor.__proto__ || Object.getPrototypeOf(UploadActor)).apply(this, arguments));
  }

  _createClass(UploadActor, [{
    key: 'defaultState',
    value: function defaultState() {
      return {
        upload: false,
        uploading: false,
        netImages: [],
        images: [],
        linkAddress: '',
        videos: []
      };
    }
  }, {
    key: 'uploadSwitch',
    value: function uploadSwitch(state, value) {
      return state.set('upload', value);
    }
  }, {
    key: 'addNetImage',
    value: function addNetImage(state, value) {
      return state.update('netImages', function (netImages) {
        return netImages.push(value);
      });
    }
  }, {
    key: 'removeNetImage',
    value: function removeNetImage(state, value) {
      return state.update('netImages', function (netImages) {
        return netImages.delete(value);
      });
    }
  }, {
    key: 'addImage',
    value: function addImage(state, value) {
      return state.update('images', function (images) {
        return images.push((0, _immutable.fromJS)(value));
      });
    }
  }, {
    key: 'removeImage',
    value: function removeImage(state, value) {
      return state.update('images', function (images) {
        return images.delete(images.findIndex(function (t, i) {
          return value == t.get('url');
        }));
      });
    }
  }, {
    key: 'addVideo',
    value: function addVideo(state, value) {
      return state.update('videos', function (videos) {
        return videos.push((0, _immutable.fromJS)(value));
      });
    }
  }, {
    key: 'removeVideo',
    value: function removeVideo(state, value) {
      return state.update('videos', function (videos) {
        return videos.delete(videos.findIndex(function (t, i) {
          return value == t.get('url');
        }));
      });
    }
  }, {
    key: 'uploading',
    value: function uploading(state, value) {
      return state.set('uploading', value);
    }
  }, {
    key: 'clearAll',
    value: function clearAll(state, value) {
      return state.set('netImages', (0, _immutable.fromJS)([])).set('images', (0, _immutable.fromJS)([])).set('videos', (0, _immutable.fromJS)([]));
    }
  }, {
    key: 'setLinkAddress',
    value: function setLinkAddress(state, value) {
      return state.set('linkAddress', value);
    }
  }]);

  return UploadActor;
}(_iflux.Actor), (_applyDecoratedDescriptor(_class.prototype, 'uploadSwitch', [_dec], Object.getOwnPropertyDescriptor(_class.prototype, 'uploadSwitch'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'addNetImage', [_dec2], Object.getOwnPropertyDescriptor(_class.prototype, 'addNetImage'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'removeNetImage', [_dec3], Object.getOwnPropertyDescriptor(_class.prototype, 'removeNetImage'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'addImage', [_dec4], Object.getOwnPropertyDescriptor(_class.prototype, 'addImage'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'removeImage', [_dec5], Object.getOwnPropertyDescriptor(_class.prototype, 'removeImage'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'addVideo', [_dec6], Object.getOwnPropertyDescriptor(_class.prototype, 'addVideo'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'removeVideo', [_dec7], Object.getOwnPropertyDescriptor(_class.prototype, 'removeVideo'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'uploading', [_dec8], Object.getOwnPropertyDescriptor(_class.prototype, 'uploading'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'clearAll', [_dec9], Object.getOwnPropertyDescriptor(_class.prototype, 'clearAll'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'setLinkAddress', [_dec10], Object.getOwnPropertyDescriptor(_class.prototype, 'setLinkAddress'), _class.prototype)), _class));
exports.default = UploadActor;