'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _spin = require('antd/lib/spin');

var _spin2 = _interopRequireDefault(_spin);

var _ScrollPagination2 = require('qm-ux/lib/ScrollPagination');

var _ScrollPagination3 = _interopRequireDefault(_ScrollPagination2);

var _Gallery2 = require('qm-ux/lib/Gallery');

var _Gallery3 = _interopRequireDefault(_Gallery2);

var _row = require('antd/lib/row');

var _row2 = _interopRequireDefault(_row);

var _col = require('antd/lib/col');

var _col2 = _interopRequireDefault(_col);

var _button = require('antd/lib/button');

var _button2 = _interopRequireDefault(_button);

var _QMIcon2 = require('qm-ui/lib/QMIcon');

var _QMIcon3 = _interopRequireDefault(_QMIcon2);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _iflux = require('iflux2');

var _PictureItem = require('./PictureItem');

var _PictureItem2 = _interopRequireDefault(_PictureItem);

var _Search = require('./Search');

var _Search2 = _interopRequireDefault(_Search);

var _ToolBar = require('./ToolBar');

var _ToolBar2 = _interopRequireDefault(_ToolBar);

var _GalleryTable = require('./GalleryTable');

var _GalleryTable2 = _interopRequireDefault(_GalleryTable);

var _ql = require('../ql');

var _MobileImageUpload = require('./MobileImageUpload');

var _MobileImageUpload2 = _interopRequireDefault(_MobileImageUpload);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var noop = function noop() {};

var GalleryBody = (0, _iflux.Relax)(_class = (_temp2 = _class2 = function (_Component) {
  _inherits(GalleryBody, _Component);

  function GalleryBody() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, GalleryBody);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = GalleryBody.__proto__ || Object.getPrototypeOf(GalleryBody)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      visible: false,
      interval: null
    }, _this.uploadMobile = function () {
      _this.setState({ visible: true });
    }, _this.handleCancel = function () {
      _this.setState({ visible: false });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(GalleryBody, [{
    key: '_onUploadEnable',
    value: function _onUploadEnable() {
      this.props.uploadSwitch(true);
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      var that = this;
      if (window.Server) {
        var interval = setInterval(function () {
          that.setState({ hash: Math.random() });
        }, 10000);

        this.setState({ interval: interval });
      }
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      if (this.state.interval) {
        clearInterval(this.state.interval);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          type = _props.fileType,
          scope = _props.scope,
          switchview = _props.switchview,
          JudgementPlatform = _props.JudgementPlatform;

      var isPersonal = scope === 'personal';
      var url = isPersonal ? 'api/user/gallery/item/list?fileType=' + type + '&cateFilter=true' : 'api/gallery/item/list?fileType=' + type + '&cateFilter=true';
      var stylePadding = isPersonal ? { paddingLeft: 0 } : {};
      var hash = this.state.hash;

      return _react2.default.createElement(
        'div',
        { className: 'picture-container', style: stylePadding },
        _react2.default.createElement(
          _GalleryTable2.default,
          { netHost: 'v_app_api', netUrl: url, ref: 'dataView', hash: hash },
          _react2.default.createElement(
            _row2.default,
            { className: 'table-toolbar' },
            _react2.default.createElement(
              _col2.default,
              { span: 16 },
              _react2.default.createElement(
                _button2.default,
                {
                  type: 'primary',
                  onClick: function onClick() {
                    JudgementPlatform ? _this2.uploadMobile() : switchview('upload');
                  } },
                _react2.default.createElement(_QMIcon3.default, { type: 'upload' }),
                ' ',
                JudgementPlatform ? '手机上传' : '点击上传'
              ),
              _react2.default.createElement(_ToolBar2.default, null)
            ),
            _react2.default.createElement(_Search2.default, null)
          ),
          _react2.default.createElement(
            _spin2.default,
            { tip: '\u52A0\u8F7D\u4E2D...', spinning: this.props.netLoading },
            _react2.default.createElement(
              _ScrollPagination3.default,
              { size: '12', className: 'picture-main', height: 390 },
              _react2.default.createElement(
                _Gallery3.default,
                { span: 6, emptyTip: '\u5565\u90FD\u6CA1\u6709, \u60A8\u8FD8\u672A\u4E0A\u4F20\u56FE\u7247\u6216\u89C6\u9891!' },
                _react2.default.createElement(_PictureItem2.default, { key: 'item', onClick: this.props.expand, limit: this.props.limit })
              )
            )
          )
        ),
        JudgementPlatform && _react2.default.createElement(_MobileImageUpload2.default, {
          title: '\u4E0A\u4F20\u5546\u54C1\u56FE\u7247',
          visible: this.state.visible,
          cancel: this.handleCancel
        })
      );
    }
  }]);

  return GalleryBody;
}(_react.Component), _class2.defaultProps = {
  limit: _ql.limitQL,
  netLoading: false,
  scope: _ql.scopeQL,
  fileType: _ql.fileTypeQL,

  close: noop,
  expand: noop,
  uploadSwitch: noop,
  switchview: noop
}, _temp2)) || _class;

exports.default = GalleryBody;