'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _iflux = require('iflux2');

var _CategoryBar = require('./CategoryBar');

var _CategoryBar2 = _interopRequireDefault(_CategoryBar);

var _GalleryBody = require('./GalleryBody');

var _GalleryBody2 = _interopRequireDefault(_GalleryBody);

var _ql = require('../ql');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var noop = function noop() {};

var GalleryComponent = (0, _iflux.Relax)(_class = (_temp = _class2 = function (_Component) {
  _inherits(GalleryComponent, _Component);

  function GalleryComponent() {
    _classCallCheck(this, GalleryComponent);

    return _possibleConstructorReturn(this, (GalleryComponent.__proto__ || Object.getPrototypeOf(GalleryComponent)).apply(this, arguments));
  }

  _createClass(GalleryComponent, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      var value = this.props.fileType || 'pic';
      this.props.onFormReset('simple');
      this.props.elementOnChange({
        index: 'fileType',
        source: { index: 'fileType', value: value, group: 'simple' }
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          scope = _props.scope,
          JudgementPlatform = _props.JudgementPlatform;

      var isPersonal = scope === 'personal';
      return _react2.default.createElement(
        'div',
        { className: 'picture-library' },
        isPersonal ? null : _react2.default.createElement(_CategoryBar2.default, null),
        _react2.default.createElement(_GalleryBody2.default, { JudgementPlatform: JudgementPlatform })
      );
    }
  }]);

  return GalleryComponent;
}(_react.Component), _class2.defaultProps = {
  scope: _ql.scopeQL,
  fileType: _ql.fileTypeQL,
  onFormReset: noop,
  elementOnChange: noop,
  onRefresh: noop
}, _temp)) || _class;

exports.default = GalleryComponent;