'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _checkbox = require('antd/lib/checkbox');

var _checkbox2 = _interopRequireDefault(_checkbox);

var _button = require('antd/lib/button');

var _button2 = _interopRequireDefault(_button);

var _message2 = require('antd/lib/message');

var _message3 = _interopRequireDefault(_message2);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _iflux = require('iflux2');

var _immutable = require('immutable');

var _ql = require('../ql');

var _webapi = require('../webapi');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var noop = function noop() {};

var Operation = (0, _iflux.Relax)(_class = (_temp = _class2 = function (_Component) {
  _inherits(Operation, _Component);

  function Operation(props) {
    var _this2 = this;

    _classCallCheck(this, Operation);

    var _this = _possibleConstructorReturn(this, (Operation.__proto__ || Object.getPrototypeOf(Operation)).call(this, props));

    _this.onConfirmProt = function (e) {
      localStorage.setItem('qm.common.gallery.protocol', e.target.checked);
      _this.setState({ protCheck: e.target.checked });
    };

    _this._onUpload = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
      var protCheck, userAgent, appName, cateId, selects, res, _this$props, cellSelected, switchview;

      return regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              protCheck = _this.state.protCheck;

              if (!(_this.props.netImages.concat(_this.props.images).concat(_this.props.videos).size <= 0)) {
                _context.next = 4;
                break;
              }

              _message3.default.error('上传图片或者视频不得为空！');
              return _context.abrupt('return');

            case 4:
              userAgent = navigator.userAgent;
              appName = '';

              if (userAgent.indexOf('appName') != -1) {
                appName = '平台';
              }

              if (!(appName == '平台')) {
                _context.next = 10;
                break;
              }

              _context.next = 13;
              break;

            case 10:
              if (protCheck) {
                _context.next = 13;
                break;
              }

              _message3.default.error('请仔细阅读《媒体素材上传服务协议》并同意！');
              return _context.abrupt('return');

            case 13:
              _context.prev = 13;
              cateId = 0;
              selects = _this.props.selects;

              if (selects && selects.length > 0) {
                cateId = selects[selects.length - 1];
              }
              _context.next = 19;
              return (0, _webapi.saveImages)({
                cateId: cateId,
                imageForms: _this.props.netImages.concat(_this.props.images).concat(_this.props.videos).toJS()
              }, _this.props.scope);

            case 19:
              res = _context.sent;


              if (res.err) {
                _message3.default.error(res.err.msg);
              } else {
                _this$props = _this.props, cellSelected = _this$props.cellSelected, switchview = _this$props.switchview;
                // let { data } = res
                // cellSelected = cellSelected.withMutations(cell => {
                //   ;(data || []).forEach(v => {
                //     let { id, picName: name, isCate, url: path } = v
                //     cell.set(v.id + '', fromJS({ id, name, isCate, path }))
                //   })
                // })
                // this.props.onCellSelect(cellSelected)

                _this.props.onFormReset('simple');
                _this.props.elementOnChange({
                  index: 'cateId',
                  source: { index: 'cateId', value: cateId, group: 'simple' }
                });
                _this.props.onRefresh(true);
                switchview('selector');
                _this.props.uploadClearAll();
                _this.props.setLinkAddress('');
              }
              _context.next = 25;
              break;

            case 23:
              _context.prev = 23;
              _context.t0 = _context['catch'](13);

            case 25:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, _this2, [[13, 23]]);
    }));

    var check = localStorage.getItem('qm.common.gallery.protocol') === 'true';
    _this.state = { protCheck: check };
    return _this;
  }

  // 确认协议


  _createClass(Operation, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          view = _props.view,
          switchview = _props.switchview,
          onSave = _props.onSave;
      var protCheck = this.state.protCheck;

      if (view === 'selector') {
        return _react2.default.createElement(
          'div',
          { className: 'modal-footer-main' },
          _react2.default.createElement(
            _button2.default,
            { size: 'large', onClick: this.props.onClose },
            '\u53D6\u6D88'
          ),
          _react2.default.createElement(
            _button2.default,
            { size: 'large', type: 'primary', onClick: onSave },
            '\u786E\u8BA4'
          )
        );
      }

      if (view === 'upload') {
        var userAgent = navigator.userAgent;
        var appName = '';
        if (userAgent.indexOf('appName') != -1) {
          appName = '平台';
        }
        return _react2.default.createElement(
          'div',
          { className: 'modal-footer-main upload' },
          appName == '平台' ? _react2.default.createElement('div', null) : _react2.default.createElement(
            'div',
            { style: { display: '-webkit-inline-box' } },
            _react2.default.createElement(_checkbox2.default, { defaultChecked: protCheck, onChange: this.onConfirmProt }),
            _react2.default.createElement(
              'span',
              null,
              '\u540C\u610F\u300A',
              _react2.default.createElement(
                'a',
                { href: 'javascript:void(0)', onClick: function onClick() {
                    return switchview('protocol');
                  } },
                '\u5A92\u4F53\u7D20\u6750\u4E0A\u4F20\u670D\u52A1\u534F\u8BAE'
              ),
              '\u300B'
            )
          ),
          _react2.default.createElement(
            _button2.default,
            { size: 'large', onClick: function onClick() {
                return switchview('selector');
              } },
            '\u8FD4\u56DE'
          ),
          _react2.default.createElement(
            _button2.default,
            { size: 'large', type: 'primary', onClick: this._onUpload },
            '\u786E\u5B9A'
          )
        );
      } else {
        return _react2.default.createElement(
          'div',
          { className: 'modal-footer-main proptocol' },
          _react2.default.createElement(
            _button2.default,
            { size: 'large', type: 'primary', onClick: function onClick() {
                return switchview('upload');
              } },
            '\u77E5\u9053\u4E86'
          )
        );
      }
    }

    /**
     * 上传
     */

  }]);

  return Operation;
}(_react.Component), _class2.defaultProps = {
  protCheck: false,
  view: 'selector', //

  upload: _ql.uploadQL,
  netImages: _ql.netImagesQL,
  images: _ql.imagesQL,
  cellSelected: {}, //
  scope: _ql.scopeQL,
  videos: _ql.videosQL,
  selects: _ql.selectedQL,

  uploadSwitch: noop,
  onRefresh: noop,
  onFormReset: noop,
  uploadClearAll: noop,
  setLinkAddress: noop,
  elementOnChange: noop,
  onCellSelect: noop, //
  switchview: noop // 切换视图
}, _temp)) || _class;

exports.default = Operation;