'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _webapi = require('../webapi');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ProtocolPanel = function (_React$Component) {
  _inherits(ProtocolPanel, _React$Component);

  function ProtocolPanel(props) {
    _classCallCheck(this, ProtocolPanel);

    var _this = _possibleConstructorReturn(this, (ProtocolPanel.__proto__ || Object.getPrototypeOf(ProtocolPanel)).call(this, props));

    _this.fetchUploadPicture = function () {
      (0, _webapi.UploadPicture)(JSON.stringify(['upload_protocol'])).then(function (res) {
        if (res.err) {
          message.error(res.err.message);
        } else {
          _this.setState({
            data: res.data.upload_protocol
          });
        }
      });
    };

    _this.state = {
      data: []
    };
    return _this;
  }

  _createClass(ProtocolPanel, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.fetchUploadPicture();
    }
  }, {
    key: 'render',
    value: function render() {
      var record = this.state.data;
      var url = 'https://resources.qianmi.com' + record.protocolContent;
      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          'h2',
          { style: { fontSize: '16px', textAlign: 'center' } },
          record.protocolName
        ),
        _react2.default.createElement(
          'p',
          { style: { color: '#999', fontSize: '12px', textAlign: 'right' } },
          '\u672C\u7248\u53D1\u5E03\u65E5\u671F\uFF1A',
          (0, _moment2.default)(record.releaseTime).format('YYYY年MM月DD日')
        ),
        _react2.default.createElement(
          'p',
          { style: { color: '#999', fontSize: '12px', textAlign: 'right' } },
          '\u751F\u6548\u65E5\u671F\uFF1A',
          (0, _moment2.default)(record.effectTime).format('YYYY年MM月DD日')
        ),
        _react2.default.createElement('iframe', { src: url, style: { width: '100%', height: 600, border: 0 } })
      );
    }
  }]);

  return ProtocolPanel;
}(_react2.default.Component);

exports.default = ProtocolPanel;