'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp2;

require('./style/index.less');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _iflux = require('iflux2');

var _store = require('./store');

var _store2 = _interopRequireDefault(_store);

var _ql = require('./ql');

var _GalleryComponent = require('./components/GalleryComponent');

var _GalleryComponent2 = _interopRequireDefault(_GalleryComponent);

var _Uploader = require('./components/Uploader');

var _Uploader2 = _interopRequireDefault(_Uploader);

var _protocolPanel = require('./components/protocol-panel');

var _protocolPanel2 = _interopRequireDefault(_protocolPanel);

var _Operation = require('./components/Operation');

var _Operation2 = _interopRequireDefault(_Operation);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var GalleryBox = (_dec = (0, _iflux.StoreProvider)(_store2.default), _dec(_class = (0, _iflux.Relax)(_class = (_temp2 = _class2 = function (_Component) {
  _inherits(GalleryBox, _Component);

  function GalleryBox() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, GalleryBox);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = GalleryBox.__proto__ || Object.getPrototypeOf(GalleryBox)).call.apply(_ref, [this].concat(args))), _this), _this.onSave = function () {
      return _this.props.close(_this.props.selects.map(function (v, k) {
        return v.toJS();
      }).toArray());
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(GalleryBox, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      var _props = this.props,
          limit = _props.limit,
          scope = _props.scope,
          fileType = _props.fileType;

      this.props.set({ limit: limit, scope: scope, fileType: fileType });
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      var setTitle = this.props.setTitle;
      var view = nextProps.view;

      if (setTitle && typeof setTitle === 'function') {
        var str = {
          selector: '选择文件',
          upload: '选择文件上传',
          protocol: '媒体素材上传服务协议'
        };
        setTitle(str[view]);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          view = _props2.view,
          videoSize = _props2.videoSize,
          limit = _props2.limit,
          pic_rule = _props2.pic_rule,
          video_rule = _props2.video_rule,
          JudgementPlatform = _props2.JudgementPlatform,
          uploadMobile = _props2.uploadMobile;

      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          'div',
          { className: 'modal-wrapper', style: { overflow: 'auto', display: '-webkit-box' } },
          _react2.default.createElement(
            'div',
            { style: { width: '98%', display: view === 'selector' ? 'block' : 'none' } },
            _react2.default.createElement(_GalleryComponent2.default, { JudgementPlatform: JudgementPlatform, uploadMobile: uploadMobile })
          ),
          _react2.default.createElement(
            'div',
            { style: { width: '98%', display: view === 'upload' ? 'block' : 'none' } },
            _react2.default.createElement(_Uploader2.default, {
              type: this.props.fileType,
              scope: this.props.scope,
              videoSize: videoSize,
              limit: limit,
              pic_rule: pic_rule,
              video_rule: video_rule
            })
          ),
          _react2.default.createElement(
            'div',
            { style: { width: '98%', display: view === 'protocol' ? 'block' : 'none' } },
            _react2.default.createElement(_protocolPanel2.default, null)
          )
        ),
        _react2.default.createElement(_Operation2.default, { onClose: this.props.close, onSave: this.onSave })
      );
    }
  }]);

  return GalleryBox;
}(_react.Component), _class2.defaultProps = {
  fileType: 'pic', // all | pic | video
  limit: 10, // 文件数量限制
  pic_rule: {
    limit: 10, // 图片数量限制
    size: 2, // 文件大小限制
    filetype: 'jpeg,jpg,gif,png', // 支持的文件类型
    msg: function msg(_ref2) {
      var limit = _ref2.limit,
          size = _ref2.size,
          filetype = _ref2.filetype;
      return '\u56FE\u7247\u683C\u5F0F\u4EC5\u652F\u6301\uFF1A' + filetype + '\uFF0C\u4E14\u4E00\u6B21\u6700\u591A\u4E0A\u4F20 ' + limit + '\u5F20\uFF0C\u6BCF\u5F20\u4E0D\u80FD\u8D85\u8FC7 ' + size + 'MB\uFF01';
    }
  },
  video_rule: {
    limit: 5, // 视频数量限制
    size: 200, // 文件大小限制
    filetype: 'mp4,avi,rmvb', // 支持的文件类型
    msg: function msg(_ref3) {
      var limit = _ref3.limit,
          size = _ref3.size,
          filetype = _ref3.filetype;
      return '\u89C6\u9891\u683C\u5F0F\u4EC5\u652F\u6301\uFF1A' + filetype + '\uFF0C\u4E14\u4E00\u6B21\u6700\u591A\u4E0A\u4F20 ' + limit + '\u4E2A\uFF0C\u6BCF\u4E2A\u4E0D\u80FD\u8D85\u8FC7 ' + size + 'MB\uFF01';
    }
  },
  scope: 'shop',
  selects: _ql.cellSelectQL, //
  upload: _ql.uploadQL, //
  view: 'selector', // 视图类型：selector | upload | protocol
  set: function set(_) {
    return _;
  },
  setTitle: function setTitle() {} // 修改标题
}, _temp2)) || _class) || _class);
exports.default = GalleryBox;