'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var mallData = exports.mallData = [{
  title: '微信公众号',
  icon: 'weixin-o',
  useUrl: '/weixin/overview',
  buyUrl: '/weixin/overview'
}, {
  title: '微信小程序',
  icon: 'weapp',
  useUrl: '/weixin/ma/dashboard',
  buyUrl: '/weixin/ma/dashboard'
}, {
  title: '推广达人',
  icon: 'extension',
  useUrl: '/salesman',
  buyUrl: '/salesman'
}, {
  title: '优惠券',
  icon: 'coupons',
  useUrl: '/mc/coupon',
  buyUrl: '/mc/coupon'
}, {
  title: '限时折扣',
  icon: 'clock',
  useUrl: '/mc/discount/list',
  buyUrl: '/mc/discount/list'
}, {
  title: '多人拼团',
  icon: 'group-buy',
  useUrl: '/mc/groupon/list',
  buyUrl: '/mc/groupon/list'
}, {
  title: '积分商城',
  icon: 'jiFen',
  useUrl: '/mc/integralStore',
  buyUrl: '/mc/integralStore'
}, {
  title: '天天特价',
  icon: 'daily-discount',
  useUrl: '/mc/dailyDiscount/list',
  buyUrl: '/mc/dailyDiscount/list'
}, {
  title: '满减送',
  icon: 'fullxx',
  useUrl: '/mc/reward/list',
  buyUrl: '/mc/reward/list'
}, {
  title: '新人有礼',
  icon: 'new-tag',
  useUrl: '/mc/registerReward/list',
  buyUrl: '/mc/registerReward/list'
}];
var distributionData = exports.distributionData = [{
  title: '微信小程序',
  icon: 'weapp',
  useUrl: '/weixin/ma/dashboard',
  buyUrl: '/weixin/ma/dashboard'
}, {
  title: '满减送',
  icon: 'fullxx',
  useUrl: '/pmc/reward/list',
  buyUrl: '/pmc/reward/list'
}, {
  title: '限时折扣',
  icon: 'clock',
  useUrl: '/pmc/discount/list',
  buyUrl: '/pmc/discount/list'
}, {
  title: '优惠券',
  icon: 'coupons',
  useUrl: '/pmc/coupon',
  buyUrl: '/pmc/coupon'
}, {
  title: '微信公众号',
  icon: 'weixin-o',
  useUrl: '/weixin/overview',
  buyUrl: '/weixin/overview'
}, {
  title: '新人有礼',
  icon: 'new-tag',
  useUrl: '/pmc/registerReward/list',
  buyUrl: '/pmc/registerReward/list'
}, {
  title: '短信推广',
  icon: 'xinXi3',
  useUrl: '/main/market-msg/b',
  buyUrl: '/main/product/buy/smstotal'
}, {
  title: '赠品包',
  icon: 'gift',
  useUrl: '/pmc/present/list',
  buyUrl: '/pmc/present/list'
}, {
  title: '快递助手',
  icon: 'express-assistant',
  useUrl: 'http://qmw.qileroro.com',
  buyUrl: '/main/product/buy/service@FW_GOODS-10001139'
}, {
  title: '商品同步助手',
  icon: 'tongbushangpin',
  useUrl: 'http://antgo.router.1000.com',
  buyUrl: '/main/product/buy/service@FW_GOODS-10001136'
}];
var cloudBossData = exports.cloudBossData = [{
  title: '微信公众号',
  icon: 'weixin-o',
  useUrl: '/weixin/overview',
  buyUrl: '/weixin/overview'
}, {
  title: '微信小程序',
  icon: 'weapp',
  useUrl: '/weixin/ma/dashboard',
  buyUrl: '/weixin/ma/dashboard'
}, {
  title: '满减送',
  icon: 'fullxx',
  useUrl: '/mc/reward/list',
  buyUrl: '/mc/reward/list'
}, {
  title: '推广达人',
  icon: 'extension',
  useUrl: '/salesman',
  buyUrl: '/salesman'
}, {
  title: '优惠券',
  icon: 'coupons',
  useUrl: '/mc/coupon',
  buyUrl: '/mc/coupon'
}, {
  title: '限时折扣',
  icon: 'clock',
  useUrl: '/mc/discount/list',
  buyUrl: '/mc/discount/list'
}, {
  title: '多人拼团',
  icon: 'group-buy',
  useUrl: '/mc/groupon/list',
  buyUrl: '/mc/groupon/list'
}, {
  title: '积分商城',
  icon: 'jiFen',
  useUrl: '/mc/integralStore',
  buyUrl: '/mc/integralStore'
}, {
  title: '礼品卡',
  icon: 'giftCard',
  useUrl: '/mc/giftCard/list',
  buyUrl: '/mc/giftCard/list'
}, {
  title: '电子面单',
  icon: 'print',
  useUrl: '/oms/waybillSet',
  buyUrl: '/main/product/buy/e_waybill'
}];
var cloudOperationData = exports.cloudOperationData = [{
  title: '微信公众号',
  icon: 'weixin-o',
  useUrl: '/weixin/overview',
  buyUrl: '/weixin/overview'
}, {
  title: '微信小程序',
  icon: 'weapp',
  useUrl: '/weixin/ma/dashboard',
  buyUrl: '/weixin/ma/dashboard'
}, {
  title: '满减送',
  icon: 'fullxx',
  useUrl: '/mc/reward/list',
  buyUrl: '/mc/reward/list'
}, {
  title: '推广达人',
  icon: 'extension',
  useUrl: '/salesman',
  buyUrl: '/salesman'
}, {
  title: '优惠券',
  icon: 'coupons',
  useUrl: '/mc/coupon',
  buyUrl: '/mc/coupon'
}, {
  title: '限时折扣',
  icon: 'clock',
  useUrl: '/mc/discount/list',
  buyUrl: '/mc/discount/list'
}, {
  title: '多人拼团',
  icon: 'group-buy',
  useUrl: '/mc/groupon/list',
  buyUrl: '/mc/groupon/list'
}, {
  title: '积分商城',
  icon: 'jiFen',
  useUrl: '/mc/integralStore',
  buyUrl: '/mc/integralStore'
}, {
  title: '礼品卡',
  icon: 'giftCard',
  useUrl: '/mc/giftCard/list',
  buyUrl: '/mc/giftCard/list'
}, {
  title: '短信推广',
  icon: 'xinXi3',
  useUrl: '/main/market-msg/c',
  buyUrl: '/main/product/buy/smstotal'
}];