'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _uploadPanel = require('./components/upload-panel');

var _uploadPanel2 = _interopRequireDefault(_uploadPanel);

var _protocolPanel = require('./components/protocol-panel');

var _protocolPanel2 = _interopRequireDefault(_protocolPanel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * UPloader 上传组件
 */
var Uploader = (_temp = _class = function (_React$Component) {
  _inherits(Uploader, _React$Component);

  function Uploader(props) {
    _classCallCheck(this, Uploader);

    var _this = _possibleConstructorReturn(this, (Uploader.__proto__ || Object.getPrototypeOf(Uploader)).call(this, props));

    _this.switchView = function (view) {
      var title = view === 'upload' ? '选择文件上传' : '媒体素材上传服务协议';
      var setTitle = _this.props.setTitle;

      setTitle && typeof setTitle === 'function' && setTitle(title);
      _this.setState({ view: view });
    };

    _this.state = {
      view: 'upload' // upload | prot
    };
    return _this;
  }

  _createClass(Uploader, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          type = _props.type,
          close = _props.close,
          limit = _props.limit,
          pic_rule = _props.pic_rule,
          video_rule = _props.video_rule;
      var view = this.state.view;


      return _react2.default.createElement(
        'div',
        { style: { overflow: 'auto', display: '-webkit-box' } },
        _react2.default.createElement(
          'div',
          { style: { width: '100%', display: view === 'upload' ? 'block' : 'none' } },
          _react2.default.createElement(_uploadPanel2.default, {
            type: type,
            close: close,
            limit: limit,
            pic_rule: pic_rule,
            video_rule: video_rule,
            switchView: this.switchView
          })
        ),
        _react2.default.createElement(
          'div',
          { style: { width: '100%', display: view === 'upload' ? 'none' : 'block' } },
          _react2.default.createElement(_protocolPanel2.default, { switchView: this.switchView })
        )
      );
    }

    /**
     * switch view
     */

  }]);

  return Uploader;
}(_react2.default.Component), _class.defaultProps = {
  type: 'all', // all | pic | vedio
  limit: 10, // 文件数量限制
  pic_rule: {
    limit: 10, // 图片数量限制
    size: 2, // 文件大小限制
    filetype: 'jpeg,jpg,gif,png', // 支持的文件类型
    msg: function msg(_ref) {
      var limit = _ref.limit,
          size = _ref.size,
          filetype = _ref.filetype;
      return '\u56FE\u7247\u683C\u5F0F\u4EC5\u652F\u6301\uFF1A' + filetype + '\uFF0C\u4E14\u4E00\u6B21\u6700\u591A\u4E0A\u4F20 ' + limit + '\u5F20\uFF0C\u6BCF\u5F20\u4E0D\u80FD\u8D85\u8FC7 ' + size + 'MB\uFF01';
    }
  },
  video_rule: {
    limit: 5, // 视频数量限制
    size: 200, // 文件大小限制
    filetype: 'mp4,avi,rmvb', // 支持的文件类型
    msg: function msg(_ref2) {
      var limit = _ref2.limit,
          size = _ref2.size,
          filetype = _ref2.filetype;
      return '\u89C6\u9891\u683C\u5F0F\u4EC5\u652F\u6301\uFF1A' + filetype + '\uFF0C\u4E14\u4E00\u6B21\u6700\u591A\u4E0A\u4F20 ' + limit + '\u4E2A\uFF0C\u6BCF\u4E2A\u4E0D\u80FD\u8D85\u8FC7 ' + size + 'MB\uFF01';
    }
  },
  close: function close() {},
  setTitle: function setTitle() {} // 修改
}, _temp);
exports.default = Uploader;