'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _dec2, _dec3, _dec4, _dec5, _desc, _value, _class;

var _iflux = require('iflux2');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
  var desc = {};
  Object['ke' + 'ys'](descriptor).forEach(function (key) {
    desc[key] = descriptor[key];
  });
  desc.enumerable = !!desc.enumerable;
  desc.configurable = !!desc.configurable;

  if ('value' in desc || desc.initializer) {
    desc.writable = true;
  }

  desc = decorators.slice().reverse().reduce(function (desc, decorator) {
    return decorator(target, property, desc) || desc;
  }, desc);

  if (context && desc.initializer !== void 0) {
    desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
    desc.initializer = undefined;
  }

  if (desc.initializer === void 0) {
    Object['define' + 'Property'](target, property, desc);
    desc = null;
  }

  return desc;
}

var GalleryActor = (_dec = (0, _iflux.Action)('gallery:view'), _dec2 = (0, _iflux.Action)('gallery:searchKey'), _dec3 = (0, _iflux.Action)('gallery:update:limit'), _dec4 = (0, _iflux.Action)('gallery:update:scope'), _dec5 = (0, _iflux.Action)('gallery:update:fileType'), (_class = function (_Actor) {
  _inherits(GalleryActor, _Actor);

  function GalleryActor() {
    _classCallCheck(this, GalleryActor);

    return _possibleConstructorReturn(this, (GalleryActor.__proto__ || Object.getPrototypeOf(GalleryActor)).apply(this, arguments));
  }

  _createClass(GalleryActor, [{
    key: 'defaultState',
    value: function defaultState() {
      return {
        view: 'selector', // 视图类型：selector | upload | protocol
        searchKey: '',
        limit: 0,
        scope: 'shop', // 图库，shop 店铺级别，personal 千米ID 级别,
        fileType: 'all' // 组件筛选文件类型。。 all 所有文件，pic 图片， video 视频
      };
    }
  }, {
    key: 'switch',
    value: function _switch(state, value) {
      return state.set('view', value);
    }
  }, {
    key: 'search',
    value: function search(state, key) {
      return state.set('searchKey', key);
    }
  }, {
    key: 'setLimit',
    value: function setLimit(state, value) {
      return state.set('limit', value);
    }
  }, {
    key: 'setScope',
    value: function setScope(state, value) {
      return state.set('scope', value);
    }
  }, {
    key: 'setFileType',
    value: function setFileType(state, value) {
      return state.set('fileType', value);
    }
  }]);

  return GalleryActor;
}(_iflux.Actor), (_applyDecoratedDescriptor(_class.prototype, 'switch', [_dec], Object.getOwnPropertyDescriptor(_class.prototype, 'switch'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'search', [_dec2], Object.getOwnPropertyDescriptor(_class.prototype, 'search'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'setLimit', [_dec3], Object.getOwnPropertyDescriptor(_class.prototype, 'setLimit'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'setScope', [_dec4], Object.getOwnPropertyDescriptor(_class.prototype, 'setScope'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'setFileType', [_dec5], Object.getOwnPropertyDescriptor(_class.prototype, 'setFileType'), _class.prototype)), _class));
exports.default = GalleryActor;