'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _QMConst2 = require('qm-ux/lib/QMConst');

var _QMConst3 = _interopRequireDefault(_QMConst2);

var _tabs = require('antd/lib/tabs');

var _tabs2 = _interopRequireDefault(_tabs);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _MediaUpload = require('./MediaUpload');

var _MediaUpload2 = _interopRequireDefault(_MediaUpload);

var _ImageUpload = require('./ImageUpload');

var _ImageUpload2 = _interopRequireDefault(_ImageUpload);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TabPane = _tabs2.default.TabPane;

var Uploader = (_temp = _class = function (_Component) {
  _inherits(Uploader, _Component);

  function Uploader(props) {
    _classCallCheck(this, Uploader);

    return _possibleConstructorReturn(this, (Uploader.__proto__ || Object.getPrototypeOf(Uploader)).call(this, props));
  }

  _createClass(Uploader, [{
    key: 'render',
    value: function render() {
      var _QMConst$get = _QMConst3.default.get('project'),
          Platform = _QMConst$get.Platform,
          SystemId = _QMConst$get.SystemId;

      var headers = {
        Platform: Platform,
        systemId: SystemId
      };

      var formLayout = {
        labelCol: { span: 4 },
        wrapperCol: { span: 18 }
      };
      var _props = this.props,
          type = _props.type,
          limit = _props.limit,
          pic_rule = _props.pic_rule,
          video_rule = _props.video_rule;


      if (type == 'all') {
        return _react2.default.createElement(
          'div',
          { className: 'upload-picture-library modal-body-main' },
          _react2.default.createElement(
            'div',
            { className: 'upload-picture-main upload' },
            _react2.default.createElement(
              _tabs2.default,
              { defaultActiveKey: '1' },
              _react2.default.createElement(
                TabPane,
                { tab: '\u4E0A\u4F20\u56FE\u7247', key: '1', className: 'pushtt' },
                _react2.default.createElement(_ImageUpload2.default, {
                  formLayout: formLayout,
                  headers: headers,
                  limit: limit,
                  rule: pic_rule
                })
              ),
              _react2.default.createElement(
                TabPane,
                { tab: '\u4E0A\u4F20\u89C6\u9891', key: '2', className: 'pushtt' },
                _react2.default.createElement(_MediaUpload2.default, {
                  formLayout: formLayout,
                  headers: headers,
                  scope: this.props.scope,
                  limit: limit,
                  rule: video_rule
                })
              )
            )
          )
        );
      }
      if (type == 'video') {
        return _react2.default.createElement(
          'div',
          { className: 'upload-picture-library modal-body-main' },
          _react2.default.createElement(
            'div',
            { className: 'upload-picture-main upload' },
            _react2.default.createElement(_MediaUpload2.default, {
              formLayout: formLayout,
              headers: headers,
              rule: video_rule,
              limit: limit
            })
          )
        );
      }

      return _react2.default.createElement(
        'div',
        { className: 'upload-picture-library modal-body-main' },
        _react2.default.createElement(
          'div',
          { className: 'upload-picture-main upload' },
          _react2.default.createElement(_ImageUpload2.default, { formLayout: formLayout, headers: headers, rule: pic_rule, limit: limit })
        )
      );
    }
  }]);

  return Uploader;
}(_react.Component), _class.defaultProps = {
  type: 'pic',
  limit: 10
}, _temp);
exports.default = Uploader;