'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _popover = require('antd/lib/popover');

var _popover2 = _interopRequireDefault(_popover);

var _QMIcon2 = require('qm-ui/lib/QMIcon');

var _QMIcon3 = _interopRequireDefault(_QMIcon2);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var object = _propTypes2.default.object;
var PageTip = (_temp = _class = function (_Component) {
  _inherits(PageTip, _Component);

  function PageTip() {
    _classCallCheck(this, PageTip);

    return _possibleConstructorReturn(this, (PageTip.__proto__ || Object.getPrototypeOf(PageTip)).apply(this, arguments));
  }

  _createClass(PageTip, [{
    key: 'render',
    value: function render() {
      var _context$tipMap = this.context.tipMap,
          tipMap = _context$tipMap === undefined ? {} : _context$tipMap;

      var _ref = this.props || {},
          name = _ref.name,
          placement = _ref.placement,
          className = _ref.className;

      if (!name) {
        return null;
      }
      var tip = tipMap[name];
      if (!tip || !tip.content) {
        return null;
      }
      var content = _react2.default.createElement('div', { className: 'page-in-content', dangerouslySetInnerHTML: { __html: tip.content } });
      return _react2.default.createElement(
        _popover2.default,
        { content: content, placement: placement || tip.position || 'bottom' },
        _react2.default.createElement(
          'span',
          { className: 'page-in-help-tips ' + className || '' },
          _react2.default.createElement(_QMIcon3.default, { type: 'xinXi2' })
        )
      );
    }
  }]);

  return PageTip;
}(_react.Component), _class.defaultProps = {
  name: '',
  placement: ''
}, _temp);
exports.default = PageTip;


PageTip.contextTypes = {
  tipMap: object
};