'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sendSafeSmsCode = exports.checkSmsCode = undefined;

var _QMFetch2 = require('qm-ux/lib/QMFetch');

var _QMFetch3 = _interopRequireDefault(_QMFetch2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var checkSmsCode = exports.checkSmsCode = function checkSmsCode(code) {
  return (0, _QMFetch3.default)({
    host: 'v_app_api',
    url: 'api/safe/checkSmsCode',
    body: { code: code },
    method: 'POST'
  });
};

var sendSafeSmsCode = exports.sendSafeSmsCode = function sendSafeSmsCode() {
  return (0, _QMFetch3.default)({ host: 'v_app_api', url: 'api/safe/sendSmsCode' });
};