'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabPane = exports.Tabs = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp, _class2, _temp2;

var _templateObject = _taggedTemplateLiteral(['\n  position: absolute;\n'], ['\n  position: absolute;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  position: relative;\n  display: inline-block;\n  box-sizing: border-box;\n  height: 100%;\n  margin: 0 32px 0 0;\n  padding: 12px 16px;\n  text-decoration: none;\n  cursor: pointer;\n  transition: color 0.3s cubic-bezier(0.645, 0.045, 0.355, 1);\n  color: #1890ff;\n  font-weight: 500;\n'], ['\n  position: relative;\n  display: inline-block;\n  box-sizing: border-box;\n  height: 100%;\n  margin: 0 32px 0 0;\n  padding: 12px 16px;\n  text-decoration: none;\n  cursor: pointer;\n  transition: color 0.3s cubic-bezier(0.645, 0.045, 0.355, 1);\n  color: #1890ff;\n  font-weight: 500;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  position: absolute;\n  bottom: 1px;\n  left: 0;\n  z-index: 1;\n  box-sizing: border-box;\n  height: 2px;\n  background-color: #1890ff;\n  transform-origin: 0 0;\n  /*  */\n  display: block;\n  transform: translate3d(100px, 0px, 0px);\n  width: 69px;\n'], ['\n  position: absolute;\n  bottom: 1px;\n  left: 0;\n  z-index: 1;\n  box-sizing: border-box;\n  height: 2px;\n  background-color: #1890ff;\n  transform-origin: 0 0;\n  /*  */\n  display: block;\n  transform: translate3d(100px, 0px, 0px);\n  width: 69px;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = _styledComponents2.default.div(_templateObject);

/**
 * 标签页
 */
var Tabs = exports.Tabs = (_temp = _class = function (_React$Component) {
  _inherits(Tabs, _React$Component);

  function Tabs(props) {
    _classCallCheck(this, Tabs);

    var _this = _possibleConstructorReturn(this, (Tabs.__proto__ || Object.getPrototypeOf(Tabs)).call(this, props));

    _this.state = {};
    return _this;
  }

  _createClass(Tabs, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(Container, null);
    }
  }]);

  return Tabs;
}(_react2.default.Component), _class.defaultProps = {
  active: '', // 当前激活 Tab 面板 key值
  defaultActive: '', // 默认激活 Tab 面板 key值
  onChange: function onChange() {}, // 切换面板回调
  onTabClick: function onTabClick() {} // 点击 Tab 回调
}, _temp);


var TabTitles = _styledComponents2.default.div(_templateObject2);

var TabLine = _styledComponents2.default.div(_templateObject3);

var TabPane = exports.TabPane = (_temp2 = _class2 = function (_React$Component2) {
  _inherits(TabPane, _React$Component2);

  function TabPane(props) {
    _classCallCheck(this, TabPane);

    var _this2 = _possibleConstructorReturn(this, (TabPane.__proto__ || Object.getPrototypeOf(TabPane)).call(this, props));

    _this2.state = {};
    return _this2;
  }

  _createClass(TabPane, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(TabTitles, null),
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            'div',
            { role: 'tab', 'class': 'ant-tabs-tab' },
            'Tab 1'
          ),
          _react2.default.createElement(
            'div',
            { role: 'tab', 'class': 'ant-tabs-tab ant-tabs-tab-active' },
            'Tab 2'
          ),
          _react2.default.createElement(
            'div',
            { role: 'tab', 'class': 'ant-tabs-tab' },
            'Tab 3'
          )
        ),
        _react2.default.createElement(TabLine, null),
        _react2.default.createElement('div', {
          'class': 'ant-tabs-ink-bar ant-tabs-ink-bar-animated',
          style: 'display: block; transform: translate3d(100px, 0px, 0px); width: 69px;' })
      );
    }
  }]);

  return TabPane;
}(_react2.default.Component), _class2.defaultProps = {
  key: '', // Tab#active
  tab: '' // 选项卡显示文字
}, _temp2);