/**
 * @author gcy[of1518]
 * @date 16/10/11
 *
 * @description QMSearchForm 通过store与其他组件（table,grid）耦合
 */
import React, { Component } from 'react'
import QMDataViewCore from './CompoentViewDataCore'
import { Relax } from 'iflux2'
import assign from 'object-assign'

import { cellSelectQL } from '../ql'

@Relax
export default class GalleryTable extends QMDataViewCore {
  static defaultProps = assign(QMDataViewCore.defaultProps, { selects: cellSelectQL })

  constructor(props) {
    super(props)
  }
}
