import '../index.less'

import React from 'react'
import { Button } from 'antd'

class ProtocolPanel extends React.Component {
  render() {
    return (
      <div className="upload-picture-library modal-body-main">
        <div className="upload-box-protocol">
          <div className="title">
            <strong>媒体素材上传服务协议</strong>
          </div>
          <div className="content">
            <p className="item">
              您好，为保障您的权益，维护千米平台的正常秩序。您在江苏千米网络科技股份有限公司（以下统称“千米”）平台制作、发布和传播的素材（包括图片、视频、录像等，以下或称“作品”）时应严格遵守本规则，在使用本服务之前，请您仔细阅读并确认如下内容：
            </p>
            <p className="item">
              1、您应保证您录制或使用千米产品服务
              <strong>
                上传、传播的内容不违反法律法规的规定，不包含暴力、色情、反动等一切违法或不良因素，同时不侵犯任何第三人的任何合法权利。
              </strong>
            </p>
            <p className="item">
              2、您应保证您对制作/上传/传播的作品享有合法权利，您对您的制作、上传、传播行为独立承担法律责任。
              <strong>
                如您提供的作品导致千米或其关联公司遭受有关作品和内容或其他合法权益的争议或者索赔，或受到相关政府部门的任何形式的处罚或承担任何形式的责任，您应承担由此产生的全部法律责任并使千米及其关联公司免责。
              </strong>
            </p>
            <p className="item">
              3、您同意授予
              <strong>
                千米对上述作品和内容在全球范围内的免费、不可撤销的、无限期的、并且可转让的非独家使用权许可，千米有权根据需要传播、展示及推广上述作品和内容。
              </strong>
            </p>
            <p className="item">
              4、
              <strong>
                千米不保证您所有的上传内容能够通过千米平台审核而为其他用户所获取、浏览，也无法以专业第三方的能力对您上传、传播的所有内容进行监测和审核，但千米保留根据国家法律、法规的要求对您上传、传播的内容进行不定时抽查的权利，并有权在不事先通知的情况下移除违法、侵权的作品。此条的规定并不排除您对上传内容的合法性担保（包含但不限于版权合法），亦非表明千米有责任及能力判断您上传作品的版权归属。由此产生的法律责任应由您独自承担。
              </strong>
            </p>
            <p className="item">
              5、千米如认为您上传/传播的内容违反法律规定或千米平台要求，有权按照法律规定或千米平台规则进行处理（包括但不限于对该等内容进行删除或修改）。
            </p>
          </div>
        </div>
        <div className="modal-footer-main">
          <Button size="large" type="primary" onClick={() => this.props.switchView('upload')}>
            知道了
          </Button>
        </div>
      </div>
    )
  }
}

export default ProtocolPanel
